if (defined?(Rails) and Rails.version.to_i > 3)
  require 'rails'
  module Mongoid
    module Semaphore
      class MongoidSemaphoreRailtie < Rails::Railtie
        railtie_name :"mongoid-semaphore"
        initializer "mongoid-semaphore.load_dependencies" do
          require 'mongoid/semaphore'
          require 'mongoid/lock'
        end
      end
    end
  end
else
  require 'mongoid/semaphore'
  require 'mongoid/lock'
end
