module Mongoid
  module Semaphore
    module ClassMethods
      # => Default Definition for semaphore value
      def __semaphore_attrs; @_semattr ||= {:count => 1}; end
      def __semaphore_initial_count; __semaphore_attrs[:count]; end
      # => Helper method for class to override default count
      def default_sema_count(count)
        count = count.to_i
        __semaphore_attrs[:count] = count
        return
      end
    end
  end
end